# Enum TxPowerLevel

java.lang.Object
java.lang.Enum<TxPowerLevel>
com.codename1.bluetooth.le.server.TxPowerLevel

All Implemented Interfaces:
  `Comparable<TxPowerLevel>`

public enum TxPowerLevel extends Enum<TxPowerLevel>
Transmit power for advertising, trading range against battery.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HIGH`
  Maximum power -- longest range.
  `LOW`
  Low power.
  `MEDIUM`
  The default medium power.
  `ULTRA_LOW`
  Minimal power -- shortest range.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TxPowerLevel`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TxPowerLevel[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ULTRA_LOW

    public static final TxPowerLevel ULTRA_LOW
    Minimal power -- shortest range.

  - ### LOW

    public static final TxPowerLevel LOW
    Low power.

  - ### MEDIUM

    public static final TxPowerLevel MEDIUM
    The default medium power.

  - ### HIGH

    public static final TxPowerLevel HIGH
    Maximum power -- longest range.

- ## Method Details

  - ### values

    public static TxPowerLevel[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TxPowerLevel valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null